summarylogtreecommitdiffstats
path: root/psd.install
diff options
context:
space:
mode:
Diffstat (limited to 'psd.install')
-rw-r--r--psd.install24
1 files changed, 24 insertions, 0 deletions
diff --git a/psd.install b/psd.install
new file mode 100644
index 000000000000..b9cbd46dbb74
--- /dev/null
+++ b/psd.install
@@ -0,0 +1,24 @@
+DAEMON_FILE="/run/psd"
+
+post_install() {
+ echo '--> WARNING! DEVELOPMENT VERSION!'
+ echo
+ echo '--> Define which users will make use of the sync in /etc/psd.conf'
+ echo '--> Read the manpage before use or see the wiki page'
+ echo '--> https://wiki.archlinux.org/index.php/Profile-sync-daemon'
+ echo
+ echo '--> ALWAYS backup your profile data before using utils like psd!'
+}
+
+
+pre_remove() {
+ if [ -e $DAEMON_FILE ]; then
+ if ! systemd-notify --booted; then # not using systemd
+ echo '--> Automatically stopping psd to rotate profiles back out of tmpfs.'
+ /etc/rc.d/psd stop
+ else
+ echo '--> Automatically stopping psd to rotate profiles back out of tmpfs.'
+ /usr/bin/systemctl stop psd.service
+ fi
+ fi
+}